#pragma once

#include "pic.h"

const PICDriver* i8259_GetDriver();
uint16_t i8259_GetMask();
void i8259_SetMask(uint16_t newMask);

void i8259_Configure(uint8_t offsetPic1, uint8_t offsetPic2, bool autoEoi);